# Declaration of Rules routings.

### Rules settings form
rules.settings:
  path: '/admin/config/workflow/rules/settings'
  defaults:
    _form: '\Drupal\rules\Form\RulesSettingsForm'
    _title: 'Rules settings'
  requirements:
    _permission: 'administer rules'

### Rules Reactions
entity.rules_reaction_rule.collection:
  path: '/admin/config/workflow/rules'
  defaults:
    _entity_list: 'rules_reaction_rule'
    _title: 'Rules'
  requirements:
    _permission: 'administer rules+administer rules reactions'

entity.rules_reaction_rule.add_form:
  path: '/admin/config/workflow/rules/reactions/add'
  defaults:
    _entity_form: 'rules_reaction_rule.add'
    _title: 'Add reaction rule'
  options:
    _rules_ui: rules.reaction_rules
  requirements:
    _permission: 'administer rules+administer rules reactions'

entity.rules_reaction_rule.edit_form:
  path: '/admin/config/workflow/rules/reactions/edit/{rules_reaction_rule}'
  defaults:
    _entity_form: 'rules_reaction_rule.edit'
    _title_callback: '\Drupal\rules\Form\ReactionRuleEditForm::getTitle'
  options:
    _rules_ui: rules.reaction_rules
  requirements:
    _permission: 'administer rules+administer rules reactions'

entity.rules_reaction_rule.delete_form:
  path: '/admin/config/workflow/rules/reactions/delete/{rules_reaction_rule}'
  defaults:
    _entity_form: 'rules_reaction_rule.delete'
  options:
    _rules_ui: rules.reaction_rules
  requirements:
    _permission: 'administer rules+administer rules reactions'

entity.rules_reaction_rule.enable:
  path: '/admin/config/workflow/rules/reactions/enable/{rules_reaction_rule}'
  defaults:
    _controller: '\Drupal\rules\Controller\RulesReactionController::enableConfig'
    _title: 'Enable reaction rule'
  options:
    _rules_ui: rules.reaction_rules
  requirements:
    _permission: 'administer rules+administer rules reactions'
    _csrf_token: 'TRUE'

entity.rules_reaction_rule.disable:
  path: '/admin/config/workflow/rules/reactions/disable/{rules_reaction_rule}'
  defaults:
    _controller: '\Drupal\rules\Controller\RulesReactionController::disableConfig'
    _title: 'Disable reaction rule'
  options:
    _rules_ui: rules.reaction_rules
  requirements:
    _permission: 'administer rules+administer rules reactions'
    _csrf_token: 'TRUE'

### Rules Components
entity.rules_component.collection:
  path: '/admin/config/workflow/rules/components'
  defaults:
  # Calls the list controller, defined in the annotation of the rules component entity.
    _entity_list: 'rules_component'
    _title: 'Rules components'
  requirements:
    _permission: 'administer rules+administer rules components'

entity.rules_component.add_form.rule:
  path: '/admin/config/workflow/rules/components/add/rule'
  defaults:
    _entity_form: 'rules_component.add'
    _title: 'Add rule'
  options:
    _rules_ui: rules.components
  requirements:
    _permission: 'administer rules+administer rules components'

entity.rules_component.edit_form:
  path: '/admin/config/workflow/rules/components/edit/{rules_component}'
  defaults:
    _entity_form: 'rules_component.edit'
    _title_callback: '\Drupal\rules\Form\RulesComponentEditForm::getTitle'
  options:
    _rules_ui: rules.components
  requirements:
    _permission: 'administer rules+administer rules components'

entity.rules_component.delete_form:
  path: '/admin/config/workflow/rules/components/delete/{rules_component}'
  defaults:
    _entity_form: 'rules_component.delete'
  options:
    _rules_ui: rules.components
  requirements:
    _permission: 'administer rules+administer rules components'
